# 014. Longest Common Prefix

**<font color=red>难度: Easy</font>**

## 刷题内容

> 原题连接

* https://leetcode.com/problems/two-sum/description/

> 内容描述

Write a function to find the longest common prefix string amongst an array of strings.

If there is no common prefix, return an empty string `""`.

#### Example 1:
```markdown
Input: ["flower","flow","flight"]
Output: "fl"
```

#### Example 2:
```markdown
Input: ["dog","racecar","car"]
Output: ""
Explanation: There is no common prefix among the input strings.
```

##### Note:
All given inputs are in lowercase letters `a-z`.

## 解题方案

> 思路 
******- 时间复杂度: O(N)******- 空间复杂度: O(N)******


代码：

```javascript
/**
 * @param {string[]} strs
 * @return {string}
 */
let longestCommonPrefix = function(strs) {
    let firstStr = strs[0];
    let result ='';
    if(!strs.length){
        return result;
    }
    for (let i = 0; i < firstStr.length; i++) {
        for (let j =  1; j < strs.length; j++) {
            if(firstStr.charAt(i) !== strs[j].charAt(i)){
                return result;
            }
        }
        result = result + firstStr.charAt(i);
    }
    return result;

};
```

